> For the complete documentation index, see [llms.txt](https://docs.airdev.co/canvas/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airdev.co/canvas/2.0.0-1/using-the-template/reference/pages/reset_pw-page.md).

# reset\_pw

## Reset PW Page Overview

This is the page that a user will use to set or reset their account password. This page is only functional if the user has a valid password reset link in the page url.&#x20;

![](/files/-Lqs1pLwlWdjzNi86yNz)

{% hint style="info" %}
To use this feature, make sure you have set up your SendGrid email by following [this guide for email setup](/canvas/2.0.0-1/using-the-template/setup/features/emails.md).
{% endhint %}

Any user can select "Forget password" from the log in popup and enter their email to receive a password reset email.

![](/files/-Lqs2C3CyJijVl4XA--u)

{% hint style="warning" %}
Please note that for security reasons, the password reset email link will expire in 24 hours. Users will need to request a new password reset email if the token has expired.
{% endhint %}

![Sample password reset request email](/files/-L_nJYSGP6NRyip18O1p)

### Set password for the first time

For admin users who access the password page via an invite from the [admin ](/canvas/2.0.0-1/using-the-template/reference/pages/owners-portal-page.md#manage-your-users-and-permissions-from-the-users-tab)page, they are prompted to set their password for the first time.

![Different text, same workflows](/files/-M6BvpJi6ipkiVppLdww)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airdev.co/canvas/2.0.0-1/using-the-template/reference/pages/reset_pw-page.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
